commit: d4257646ed01e5186af23ea0c5e518f741839eec
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 2 12:33:40 2016 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Jun 2 12:37:17 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4257646
app-misc/tmux: Bump to version 2.2 (bug #579620).
Made utempter support optional (bug #584690).
Package-Manager: portage-2.2.28
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
app-misc/tmux/Manifest | 1 +
app-misc/tmux/metadata.xml | 3 ++
app-misc/tmux/tmux-2.2.ebuild | 86 +++++++++++++++++++++++++++++++++++++++++++
3 files changed, 90 insertions(+)
diff --git a/app-misc/tmux/Manifest b/app-misc/tmux/Manifest
index 2e5b570..0eea5ba 100644
--- a/app-misc/tmux/Manifest
+++ b/app-misc/tmux/Manifest
@@ -1,3 +1,4 @@
DIST tmux-2.1.tar.gz 462965 SHA256
31564e7bf4bcef2defb3cb34b9e596bd43a3937cad9e5438701a81a5a9af6176 SHA512
0faa0a60a84b777ca3cf572cf741d0e4f82a9f32d27dfeddfda41bad57830823a6d5f2323f27ba794b86e194d9f7db7028c94dc6a15bb4ac5a18508f890bdaa4
WHIRLPOOL
983024886bdb868bb69ccedc18e9fd62cc5a8f147d647ea43b6f20e297b9b3c45a061e542bcb590ab50cf5d3db43d22015c3a8f18bee33d9c76552bfe13424ed
+DIST tmux-2.2.tar.gz 466852 SHA256
bc28541b64f99929fe8e3ae7a02291263f3c97730781201824c0f05d7c8e19e4 SHA512
4d4fc316c78aab0d13f7f15098d952f01d7da7d74d46251ae2dd90440522f07c785afe984d82de2b4518fb67ea441f5a5a46c357c87ddc6ddbfba4b7f08be7bf
WHIRLPOOL
2e44582b994f3fe919f4ee7543f25e3fb02cc975d053b0c63bcd858a54fe3125ffe192cf6f8c7ae0345d90e8086d86930d668b29becdb4e0376579ef02e7034f
DIST tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b 458 SHA256
a0905c595fec7f0258fba5466315d42d67eca3bd2d3b12f4af8936d7f168b6c6 SHA512
fe0aca7d03067af87e0788a2fa902c7ef5500ba72295cb63c5a1814534a008c224256d7f890ac1af6d17f3734b45148765e1632f075e284c453185df2927b979
WHIRLPOOL
aa83ea77c084e643f2cbf74ddf10bf6e43304b0a7c1f6af24b153844ad01732af8f45de0d8a39093f11be19ff9af20116f4aa7b9c750f3452525fcd7b31a3d8a
DIST tmux.vim-95f6126c187667cc7f9c573c45c3b356cf69f4ca 5626 SHA256
040cbb7ce19f5a256ae400061d310e0f64f58cbc525402043708b59546af2462 SHA512
956b2c1ca08e3c92aa39c9df54fbe1c661d0e076c91628c4b88f81f97104241b6505412fa0e21a681adc231eb2e6e7feee850474d4277812d186548bbb05f6d1
WHIRLPOOL
3eaa20479fccf7e20dbd7ccb8669bd8c47da90f7218fdb386fcd150c1223cc7300d68f880baa706bbdb7abf54394d44fd80479ba3fae934de9b53f40acc6286a
diff --git a/app-misc/tmux/metadata.xml b/app-misc/tmux/metadata.xml
index c2ae9d3..58f1701 100644
--- a/app-misc/tmux/metadata.xml
+++ b/app-misc/tmux/metadata.xml
@@ -9,6 +9,9 @@
<email>[email protected]</email>
<name>Gentoo Shell Tools Project</name>
</maintainer>
+ <use>
+ <flag name="utempter">Include libutempter support</flag>
+ </use>
<longdescription>
tmux is a "terminal multiplexer", it enables a number of
terminals
(or windows) to be accessed and controlled from a single
terminal.
diff --git a/app-misc/tmux/tmux-2.2.ebuild b/app-misc/tmux/tmux-2.2.ebuild
new file mode 100644
index 0000000..57d9618
--- /dev/null
+++ b/app-misc/tmux/tmux-2.2.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools flag-o-matic versionator
+
+DESCRIPTION="Terminal multiplexer"
+HOMEPAGE="http://tmux.github.io/"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~amd64-linux ~x86-linux
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug selinux utempter vim-syntax kernel_FreeBSD kernel_linux"
+
+CDEPEND="
+ || (
+ =dev-libs/libevent-2.0*
+ >=dev-libs/libevent-2.1.5-r4
+ )
+ utempter? (
+ kernel_linux? ( sys-libs/libutempter )
+ kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0
sys-libs/libutempter ) )
+ )
+ sys-libs/ncurses:0="
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+ selinux? ( sec-policy/selinux-screen )
+ vim-syntax? (
+ || (
+ app-editors/vim
+ app-editors/gvim
+ )
+ )"
+
+DOCS=( CHANGES FAQ README TODO )
+
+PATCHES=( "${FILESDIR}"/${PN}-2.0-flags.patch )
+
+src_prepare() {
+ # bug 438558
+ # 1.7 segfaults when entering copy mode if compiled with -Os
+ replace-flags -Os -O2
+
+ # regenerate aclocal.m4 to support earlier automake versions
+ rm aclocal.m4 || die
+
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --sysconfdir="${EPREFIX}"/etc \
+ $(use_enable debug) \
+ $(use_enable utempter)
+}
+
+src_install() {
+ default
+
+ einstalldocs
+
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/ftdetect
+ doins "${FILESDIR}"/tmux.vim
+ fi
+}
+
+pkg_postinst() {
+ if ! version_is_at_least 1.9a ${REPLACING_VERSIONS:-1.9a}; then
+ echo
+ ewarn "Some configuration options changed in this release."
+ ewarn "Please read the CHANGES file in /usr/share/doc/${PF}/"
+ ewarn
+ ewarn "WARNING: After updating to ${P} you will _not_ be able
to connect to any"
+ ewarn "older, running tmux server instances. You'll have to use
an existing client to"
+ ewarn "end your old sessions or kill the old server instances.
Otherwise you'll have"
+ ewarn "to temporarily downgrade to access them."
+ echo
+ fi
+}